﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default3.aspx.cs" Inherits="Default3" %>

<%@ Register TagPrefix="telerik" Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <style type="text/css">
        .RadListView .rlvFloated div.rlvA, 
        .RadListView .rlvFloated div.rlvI
        {
            float: right;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" />
    <telerik:RadListView runat="server" ID="FloatedTilesListView" DataKeyNames="ProductID"
        DataSourceID="SqlDataSource1">
        <AlternatingItemTemplate>
            <div class="rlvA" style="height: 120px; width: 120px; margin-top: 5px; margin-left: 5px;
                margin-right: 5px; margin-bottom: 5px; padding-left: 15px;">
                <br />
                <asp:Label ID="ProductIDLabel" runat="server" Text='<%# Eval("ProductID") %>' />
                <br />
                <asp:Label ID="ProductNameLabel" runat="server" Text='<%# Eval("ProductName") %>' />
                <br />
                <asp:Label ID="QuantityPerUnitLabel" runat="server" Text='<%# Eval("QuantityPerUnit") %>' />
                <br />
                <asp:Label ID="UnitPriceLabel" runat="server" Text='<%# Eval("UnitPrice") %>' />
                <br />
                <asp:Label ID="UnitsInStockLabel" runat="server" Text='<%# Eval("UnitsInStock") %>' />
            </div>
        </AlternatingItemTemplate>
        <ItemTemplate>
            <div class="rlvI" style="height: 120px; width: 120px; margin-top: 5px; margin-left: 5px;
                margin-right: 5px; margin-bottom: 5px; padding-left: 15px;">
                <br />
                <asp:Label ID="ProductIDLabel" runat="server" Text='<%# Eval("ProductID") %>' />
                <br />
                <asp:Label ID="ProductNameLabel" runat="server" Text='<%# Eval("ProductName") %>' />
                <br />
                <asp:Label ID="QuantityPerUnitLabel" runat="server" Text='<%# Eval("QuantityPerUnit") %>' />
                <br />
                <asp:Label ID="UnitPriceLabel" runat="server" Text='<%# Eval("UnitPrice") %>' />
                <br />
                <asp:Label ID="UnitsInStockLabel" runat="server" Text='<%# Eval("UnitsInStock") %>' />
            </div>
        </ItemTemplate>
        <EmptyDataTemplate>
            <div class="RadListView RadListView_<%# Container.Skin %>">
                <div class="rlvEmpty">
                    There are no items to be displayed.</div>
            </div>
        </EmptyDataTemplate>
        <LayoutTemplate>
            <div class="RadListView RadListViewFloated RadListView_<%# Container.Skin %>">
                <div class="rlvFloated rlvAutoScroll">
                    <div id="itemPlaceholder" runat="server">
                    </div>
                </div>
                <telerik:RadDataPager ID="RadDataPager1" runat="server" PageSize="7">
                    <Fields>
                        <telerik:RadDataPagerButtonField FieldType="Numeric" />
                    </Fields>
                </telerik:RadDataPager>
            </div>
        </LayoutTemplate>
    </telerik:RadListView>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
        SelectCommand="SELECT top 30 [ProductID], [ProductName], [QuantityPerUnit], [UnitPrice], [UnitsInStock] FROM [Products]">
    </asp:SqlDataSource>
    </form>
</body>
</html>
